Subject: Re: about Wedgelayer 3.5 / Fat IP approaches

From: Kurt Erik Lindqvist <[email-masked]>
Date: Thu, 1 Jul 2004 10:05:08 +0200

On 2004-06-28, at 14.35, Erik Nordmark wrote:

>> In this case, the multi6 layer could provide enhanced services and
>> preserve connectivity even if the locator used on the refferral or 
>> call
>> back becomes unreachable.
>> So i guess that we can have 4 cases:
>> a- non multi6 aware app running on a non multi6 aware host: in this
>> case a locator must be used for refferals
>> b- non multi6 aware app running on a multi6 aware host: in this case
>> the app will pass the 128 bit string that it is using to the other 
>> end.
>> So the multi6 layer has to be capable to obtain the locator set form
>> this 128 bit string i.e. we need an id to locator mapping mechanism
>
> It is actually more constrained than that since other instances of
> the application might be running on non-multi6 aware hosts.
> So the conservative approach would be to always hand an IP 
> address/locator
> to unmodified applications, that way the application can use it
> for callbacks and referrals without any constraints on which hosts the
> different instances of the app is running.

For a transition scenario this will most likely more be the rule than 
the exception. SIP comes to mind of an application where you would do 
referrals and you can not trust that all "nodes" are of the same 
"instance"/protocol version/awareness.

- - kurtis -

---

From: marcelo bagnulo braun <[email-masked]>
Date: Thu, 1 Jul 2004 11:48:17 +0200

> "instance"/protocol version/awareness.

Does this implies that AID have to be routable IP addresses?

regards, marcelo

> - - kurtis -
>
> -----BEGIN PGP SIGNATURE-----
> Version: PGP 8.0.3
>
> iQA/AwUBQOPFuKarNKXTPFCVEQKT0QCg/eOifwbywPqBgcwcl0Kw2A5QZj8AoJFh
> Dk+jyIfwZcadamZqSRMvpF4S
> =y2oT
> -----END PGP SIGNATURE-----
>